<template>
  <div v-if="show">
    <div class="activePrizeDiv">
      <div :class="getDivCss()">
        <div v-if="flag ==0" class="close" @click="closeClick()"></div>
        <div v-if="flag ==0" class="closeButton" @click="guanzhu()"></div>
      </div>
    </div>
  </div>
</template>
<script>
import apis from '../../../util/apis1.js'
let{followShop}=apis
export default {
  data() {
    return {};
  },
  computed: {},
  methods: {
    closeClick() {
      this.submit(0)
    },
    getDivCss() {
      this.flag == 0
      if ( this.flag == 0) {
        return 'activeDiv';
      } 
    },
    guanzhu(){
      followShop(()=>{
        console.log("1")
        this.submit(1)
      })

      
    }
  },
};
</script>
<style lang="scss" scoped>
.activePrizeDiv {
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  top: 0;
  z-index: 120;
}

.activeDiv {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 5.26rem;
  height: 5.5rem;
  margin-left: -2.63rem;
  margin-top: -2.75rem;
  background-image: url(https://lzkj-yc.isvjd.com/resources/wxcss/grab/common/follow_bg.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  z-index: 1026;
}
.close {
  height: 0.6rem;
  width: 0.6rem;
  position: absolute;
  right: 0.1rem;
  top: 0.1rem;
}
.closeButton {
  height: 1rem;
  width: 4.6rem;
  position: absolute;
  right: 0.3rem;
  top: 4.1rem;
}

</style>
